/*
 * Copyright © 2011 Philipp Eichhorn
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package lombok;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
public class Tuple {
	/**
	 * A take on tuple assignments.
	 * 
	 * <pre>
	 * public void tuple() {
	 * 	int a, b, c = tuple(1, 2, 3);
	 * 	int[] d = new int[] { 4, 5, 6 };
	 * 	tuple(a, b) = tuple(b, a);
	 * 	tuple(c, a, b) = tuple(d);
	 * }
	 * </pre>
	 * 
	 * <b>Note:</b> This is an experimental feature and might not work in some cases. Please file a bug report if you
	 * stumble over anything weird.
	 */
	public static Tuple tuple(final Object... objects) {
		return null;
	}
}
